panda_mover:
    type: panda_mover/PandaController
    arm_id: panda
    joint_names:
        - panda_joint1
        - panda_joint2
        - panda_joint3
        - panda_joint4
        - panda_joint5
        - panda_joint6
        - panda_joint7
        
    # control_level : velocity
    # p_gains_: [20, 40, 20, 20, 20, 20] 
    # d_gains_: [0.0 , 0.0, 0.0, 0.0, 0.0, 0.0] 
    # p_gains_qd_: [1, 5, 1, 3, 1, 1, 1] 

    control_level : torque
    p_gains_: [1200, 1200, 1200, 3000, 3000, 3000] 
    d_gains_: [50 ,50, 50, 100, 100, 100] 
    i_gains_: [1, 1, 1, 30, 30, 30] 
    p_gains_qd_: [1, 5, 1, 3, 1, 1, 1] 

    root_link_ : "panda_link0"
    tip_link_ : "panda_handleFT"
    q_mean_ : [1.0 , 0.9, 0.0, -1.5, 0.0, 1.5, 0.0] 
    qd_min_ : [-2.1750, -2.1750, -2.1750, -2.1750, -2.6100, -2.6100, -2.6100]
    qd_max_ : [2.1750, 2.1750, 2.1750, 2.1750, 2.6100, 2.6100, 2.6100]
    torque_max_ : [87.0 , 87.0 , 87.0 , 87.0 , 12.0 , 12.0 , 12.0]
    
    #Default capabilities
    qdd_max_ : [15 , 7.5 , 10 , 12.5 , 15 , 20 , 20]
    qddd_max_ : [7500, 3750, 5000, 6250, 7500, 10000, 10000]
    amax_traj_: 0.8

    regularisation_weight_ : 1.0e-5
    integral_pos_saturation_ : 100
    integral_rot_saturation_ : 100
    error_multiplier : 30
